tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mladen Turk <>
Subject Re: Q: ISAPI filter for JK 1.2.7-beta Visual C++ requirements
Date Wed, 01 Dec 2004 07:05:19 GMT
David Boyer wrote:
> I'm attempting to build this from source, and I'm getting several errors
> related to an undeclared identifier '__FUNCTION__'.
> Visual C++ 7 supports __FUNCTION__, but VC++ 6.0 does not.
> Does anyone know if this is an intended change in the build
> requirements, or am I just doing something wrong?

No it's not intended. I don't use VC6 for years :)

Just replace the line in jk_logger.h
#if defined(__GNUC__) || defined(_MSC_VER)
#if defined(__GNUC__) || (defined(_MSC_VER) && (_MSC_VER > 1200))

The logger will have less features, but it'll compile.


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message